#!/bin/sh

case "$1" in
    start)

	echo -n "Setting up /tmp... "

	mkdir /tmp/dev /tmp/var
	mount -o bind /tmp/var /var
	mkdir -p /var/etc /var/lib /var/lock /var/log /var/run /var/tmp
	chmod 1777 /var/tmp

	echo "done"

	;;
    stop)
	# do nothing
	;;
    *)
	echo "Usage: $0 {start|stop}"
	exit 1
	;;
esac
